package com.engine.salary.entity.siexport.po;

import com.engine.salary.annotation.I18n;
import com.engine.salary.entity.siaccount.po.InsuranceAccountDetailPO;

/**
 * @Author weaver_cl
 * @Description:
 * @Date 2022/3/7
 * @Version V1.0
 **/
public class AccountExportPO extends InsuranceAccountDetailPO {

    @I18n
    private String userName;

    private String telephone;

    @I18n
    private String departmentName;

    private Integer userStatus;

    private String workcode;

    public void setWorkcode(String workcode) {
        this.workcode = workcode;
    }

    public String getWorkcode() {
        return workcode;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public Integer getUserStatus() {
        return userStatus;
    }

    public void setUserStatus(Integer userStatus) {
        this.userStatus = userStatus;
    }

    //    public UserStatusEnum getUserStatus() {
//        return userStatus;
//    }
//
//    public void setUserStatus(UserStatusEnum userStatus) {
//        this.userStatus = userStatus;
//    }
}
